
Redmine - Feature #11176

create users via email without login rights

2012-06-15 15:00 - Bob Wgt

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Hi,

I have been struggling to use redmine as the support request tracking system for a high visibility European Union project.

My goal is to allow unknown_users to send support requests to the system via email, that the request be logged with an ID, that the

unknown_user receives a tracking number by email reply.

But, that the unknown_user NOT be given the possibility to log-in to the web interface.

I guess that this is currently impossible, but it would be good for us if it were possible.

Thanks,

Bob.

History

#1 - 2012-06-15 15:58 - Alex Shulgin

We achieve something really close to what you describe with the following setup:

1. A private project, say 'info'.

2. A mail aliases line:

info: /path/to/rdm-mailhandler.rb --key=... --project=info --unknown_user=create --no-permission-check ...

 Hm, seems like that was it.  Do you have any specific problems with the above setup?

#2 - 2012-06-15 16:50 - William Roush

This seems more like plug-in territory, let me ponder how hard this will be, it may be stupidly straightforward to extend the relevant parts.

In my mind: you need to add an additional permission: "web UI access", extend the mailer routine so it'll take an additional parameter to tweak the

user account on creation before saving (role to give new account?), and extend the web log in procedure to check this permission.

I could see how this may be something that would be nice for Redmine, but Jean-Philippe has a bit of a high standard to getting this patch put in (as

he should! :)), sounds like you could go more of the route of "make it work, no need to write tests/docs/etc.".

#3 - 2019-02-10 01:44 - Go MAEDA

- Category set to Email receiving
